/* HAUIF.H -- Example host application user interface function prototypes.
 * Copyright (c) 1993 by Echelon Corporation.
 * All Rights Reserved.
 *
 * Date last modified: 3/25/93
 */

extern int get_integer( const char * prompt, int default_val );

extern boolean get_choice( const char * prompt, char true_choice,
        char false_choice );

extern boolean handle_error( NI_Code ni_error,
             ComplType completion,      // set to MSG_SUCCEEDS to omit check
             byte      response_code,   // set to NO_CHECK to omit check
             const char    * msg_name );
        // return TRUE if failure, FALSE if success

#define NO_CHECK 0x20   /* do not check response code */

extern void print_array( const void * data, int length, const char * format );

extern boolean report_flag, verbose_flag;
