ORIGIN = PWB
ORIGIN_VER = 2.0
PROJ = HA
PROJFILE = HA.MAK

CC  = cl
CFLAGS_G  = /W2 /BATCH /Zp1
CFLAGS_R  = /f- /Ot /Ol /Og /Oe /Oi /Gs
CXX  = cl
CXXFLAGS_G  = /W2 /BATCH
CXXFLAGS_D  = /f /Zi /Od
CXXFLAGS_R  = /f- /Ot /Oi /Ol /Oe /Og /Gs
MAPFILE_R  = NUL
LFLAGS_G  = /NOI /STACK:4096 /BATCH /ONERROR:NOEXE
LFLAGS_R  = /EXE /FAR /PACKC
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS  = /a /e

FILES  = HA.C NI_MSG.C HAUIF.C IOCTL.C APPLMSG.C LDVINTFC.C
OBJS  = HA.obj NI_MSG.obj HAUIF.obj IOCTL.obj APPLMSG.obj LDVINTFC.obj

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES:
.SUFFIXES: .obj .c

HA.obj : HA.C ni_msg.h ni_mgmt.h hauif.h
        @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoHA.obj HA.C
<<

NI_MSG.obj : NI_MSG.C ni_msg.h ni_mgmt.h hauif.h ldvintfc.h
        @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoNI_MSG.obj NI_MSG.C
<<

APPLMSG.obj : APPLMSG.C ni_msg.h ni_mgmt.h hauif.h
        @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoAPPLMSG.obj APPLMSG.C
<<

HAUIF.obj : HAUIF.C ni_msg.h ni_mgmt.h hauif.h
        @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoHAUIF.obj HAUIF.C
<<

LDVINTFC.obj : LDVINTFC.C ldvintfc.h
        @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoLDVINTFC.obj LDVINTFC.C
<<

IOCTL.obj : IOCTL.C
        @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoIOCTL.obj IOCTL.C
<<

$(PROJ).exe : $(OBJS)
        $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
        $(LINKER) @$(PROJ).lrf


.c.obj :
        @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo$@ $<
<<


run: $(PROJ).exe
        $(PROJ).exe $(RUNFLAGS)

